@import "@/styles/variables";

.button {
    font-family: $primary-font-semibold;
    font-size: $fs-p;
    letter-spacing: 0.5px;
    color: $white;
    padding: 0.5rem 0.75rem;
    width: fit-content;
    min-width: fit-content;
    height: 2.5rem;
    border-radius: $border-radius;
    cursor: pointer;
    display: flex;
    gap: 0.5rem;
    justify-content: center;
    align-items: center;

    @include tablet {
        padding: 0.5rem 1.2rem;
    }

    @include notebook {
        padding: 0.7rem 1.5rem;
        font-size: $fs-p-lg;
        text-transform: uppercase;
        height: 3.5rem;
    }

    @include desktop {
        gap: 0.75rem;
    }

    .label {
        display: none;

        @include tablet {
            display: flex;
        }
    }

    &_color_primary {
        background-color: $primary-color-dark;
        border: 1px solid transparent;

        &:hover {
            color: $primary-color-dark;
            border: 1px solid $primary-color-dark;
            background-color: $white;

            svg {
                fill: $primary-color-dark;
                stroke: $white;
            }
        }
    }

    &_color_primary-light {
        background-color: $primary-color-light;
        border: 1px solid transparent;

        &:hover {
            color: $primary-color-light;
            border: 1px solid $primary-color-light;
            background-color: $white;

            svg {
                fill: $primary-color-light;
                stroke: $white;
            }
        }
    }

    &_color_primary-light-outline {
        color: $primary-color-light;
        border: 1px solid $primary-color-light;
        background-color: $white;

        &:hover {
            color: $white;
            border: 1px solid $white;
            background-color: $primary-color-light;

            svg {
                fill: $white;
                stroke: $primary-color-light;
            }
        }
    }

    &_color_primary-light-outline-info {
        color: $primary-color-light;
        border: 1px solid $primary-color-light;
        background-color: $white;
        cursor: pointer;
        pointer-events: none;
    }

    &_color_secondary {
        background-color: $secondary-color;
        border: 1px solid transparent;

        &:hover {
            color: $secondary-color;
            border: 1px solid $secondary-color;
            background-color: $white;

            svg {
                fill: $secondary-color;
                stroke: $white;
            }
        }
    }

    &_color_outline-secondary {
        color: $secondary-color;
        border: 1px solid $secondary-color;
        background-color: transparent;

        &:hover {
            color: $white;
            border: 1px solid transparent;
            background-color: $secondary-color;

            svg {
                fill: $white;
            }
        }
    }

    &_color_outline-gray {
        color: $black;
        border: 1px solid $gray-light;
        background-color: transparent;

        &:hover {
            color: $white;
            border: 1px solid transparent;
            background-color: $gray-dark;

            svg {
                fill: $white;
            }
        }
    }

    &_color_transparent {
        color: $secondary-color;
        background-color: transparent;
    }

    &_color_outline_alert {
        color: $alert-color;
        border: 1px solid $alert-color;
        background-color: transparent;

        &:hover {
            color: $white;
            border: 1px solid transparent;
            background-color: $alert-color;

            svg {
                fill: $white;
            }
        }
    }

    &_color_outline_warning {
        color: $warning-color;
        border: 1px solid $warning-color;
        background-color: transparent;

        &:hover {
            color: $white;
            border: 1px solid transparent;
            background-color: $warning-color;

            svg {
                fill: $white;
            }
        }
    }
}

.disabled {
    opacity: 0.4;
    cursor: initial;
    pointer-events: none;
}
